aboutsummaryrefslogtreecommitdiffstats
path: root/contrib/sendemail-validate
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/sendemail-validate')
-rwxr-xr-xcontrib/sendemail-validate11
1 files changed, 11 insertions, 0 deletions
diff --git a/contrib/sendemail-validate b/contrib/sendemail-validate
new file mode 100755
index 00000000..1d18e65c
--- /dev/null
+++ b/contrib/sendemail-validate
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+email="${1?email file}"
+tmp=$(mktemp -d)
+trap "rm -rf -- $tmp" EXIT
+git clone -q --depth=1 "https://git.sr.ht/~rjarry/aerc" "$tmp"
+export GIT_DIR="$tmp/.git"
+git -C "$tmp" am -q3 "$email"
+make -sC "$tmp" check-patches all lint tests